Summary(ru_RU.UTF-8): Программа для создания рукописных записей и аннотатор PDF
Summary: Handwriting note-taking software with PDF annotation support
Name: xournalpp
Version: 1.2.5
Release: 2
License: GPLv2+
Group: Office
Url: https://github.com/xournalpp/xournalpp
Source0: https://github.com/xournalpp/xournalpp/archive/refs/tags/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(poppler-glib)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libzip)
BuildRequires: pkgconfig(portaudiocpp)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: locales-en
BuildRequires: help2man
Requires: poppler
Conflicts: xournalpp-ui < 1.2.3-2
Obsoletes: xournalpp-ui < 1.2.3-2
Conflicts: xournalpp-plugins < 1.2.3-2
Obsoletes: xournalpp-plugins < 1.2.3-2

%description
Xournal++ is a handwriting note-taking software with PDF annotation support.
Supports Pen input like Wacom Tablets

%description -l ru_RU.UTF-8
Xournal++ - это программа для ведения рукописных заметок с поддержкой аннотаций в формате PDF.
Поддерживает перьевой ввод, как на планшетах Wacom

%files -f %{name}.lang
%doc README.md AUTHORS
%{_bindir}/*
%{_datadir}/applications/com.github.%{name}.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/com.github.%{name}.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*
%{_datadir}/mime/packages/com.github.%{name}.%{name}.xml
%{_datadir}/thumbnailers/com.github.%{name}.%{name}.thumbnailer
%{_datadir}/%{name}
%{_datadir}/metainfo/com.github.%{name}.%{name}.appdata.xml
%{_mandir}/man1/%{name}*.1.xz

#------------------------------------------------------------------

%prep
%autosetup

%build
%cmake
%make

%install
%makeinstall_std -C build

%find_lang %{name}
